matrix: &matrix
  platform:
  - centos7
  - debian10
  - macos
  - ubuntu2004
  - windows
tasks:
  verify_targets:
    name: Verify that all tests succeed
    platform: ${{ platform }}
    test_targets:
    - '@rules_kustomize//test:all'
bcr_test_module:
  module_path: examples/bzlmod
  matrix: *matrix
  tasks:
    run_test_module:
      name: Run test module
      platform: ${{ platform }}
      build_targets:
      - //root
